import { OnInit, ElementRef, OnChanges } from '@angular/core';
import { ActivatedRoute } from '@angular/router';
import { ScrollEvent } from 'ngx-scroll-event';
import { AnnotationService } from '../services/annotation.service';
export declare class ViewerComponent implements OnInit, OnChanges {
    private annotationService;
    private route;
    private document;
    renderedPages: {};
    url: string;
    annotate: boolean;
    lastViewedPage: number;
    pageNumber: number;
    tool: String;
    contentWrapper: ElementRef;
    constructor(annotationService: AnnotationService, route: ActivatedRoute, document: any);
    ngOnInit(): void;
    ngOnChanges(): void;
    getClickedPage(event: any): void;
    handlePdfScroll(event: ScrollEvent): void;
}
